Subject: Mount A Drive
From: David Starks-Browning <[email-masked]>
To: "Robert Mark Bram" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 27 May 2002 14:35:14 +0100

On Monday 27 May 02, Robert Mark Bram writes:
> Howdy all!
> 
> I am running Cygwin on Win 2K. I am trying to mount my A drive and I have a
> few questions.
> 
> First, what is wrong with this command:
>   mount A:\ /a
> I received the usage message in response:
>   mount: not enough arguments
>   Usage: mount [OPTION] [<win32path> <posixpath>]

The backslash '\' is an escape character to the shell.  It prevents
the shell from interpreting the space as a word separator.  So mount
thinks it has one argument rather than two.

It's been a long time since I used mount, but

	mount A:\\ /a

should do what you expected, and possibly

	mount A: /a
and
	mount A:/ /a

will also work.

Hope this helps.

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/